Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.noding
Class MCIndexSegmentSetMutualIntersector.SegmentOverlapAction

    java.lang.Object
      com.vividsolutions.jts.index.chain.MonotoneChainOverlapAction
          com.vividsolutions.jts.noding.MCIndexSegmentSetMutualIntersector.SegmentOverlapAction

Enclosing class:
  MCIndexSegmentSetMutualIntersector

public class MCIndexSegmentSetMutualIntersector.SegmentOverlapAction
extends MonotoneChainOverlapAction

Field Summary

Fields inherited from class com.vividsolutions.jts.index.chain.MonotoneChainOverlapAction
`overlapSeg1, overlapSeg2`

Constructor Summary
`MCIndexSegmentSetMutualIntersector.SegmentOverlapAction(SegmentIntersector si)`

Method Summary
`void` | `overlap(MonotoneChain mc1, int start1, MonotoneChain mc2, int start2)` This function can be overridden if the original chains are needed

Methods inherited from class com.vividsolutions.jts.index.chain.MonotoneChainOverlapAction
`overlap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MCIndexSegmentSetMutualIntersector.SegmentOverlapAction

    public MCIndexSegmentSetMutualIntersector.SegmentOverlapAction(SegmentIntersector si)

Method Detail

### overlap

    public void overlap(MonotoneChain mc1,
                        int start1,
                        MonotoneChain mc2,
                        int start2)

  Description copied from class: `MonotoneChainOverlapAction`
  This function can be overridden if the original chains are needed

  Overrides:
    `overlap` in class `MonotoneChainOverlapAction`
  Parameters:
    `start1` - the index of the start of the overlapping segment from mc1
    `start2` - the index of the start of the overlapping segment from mc2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD